SDL_GamepadHasAxis(3)

NAME
SDL_GamepadHasAxis - Query whether a gamepad has a given axis.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GamepadHasAxis(SDL_Gamepad *gamepad, SDL_GamepadAxis axis);

DESCRIPTION
This merely reports whether the gamepad's mapping defined this axis, as that is all the information SDL has about the physical device.

FUNCTION PARAMETERS

gamepad
    a gamepad

axis
    an axis enum value (an SDL_GamepadAxis
     value)

RETURN VALUE
Returns SDL_TRUE
 if the gamepad has this axis, SDL_FALSE
 otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GamepadHasButton(3), SDL_GetGamepadAxis(3)